Opened 6 years ago

Closed 6 years ago

#182 closed (fixed)

Universtiy of Houston updates to restore a standard exogeni version blocking to Confirmation testing

Reported by: lnevers@bbn.com Owned by: somebody
Priority: major Milestone:
Component: Experiment Version: SPIRAL5
Keywords: confirmation tests Cc:
Dependencies:

Description

During the execution of the GENI RACK checklist, it was discovered that the University of Houston rack is running a special version of ExoGENI software. Software update to restore the rack to a software version that is common in ExoGENI is blocking the Site Confirmation tests.

Below is an email exchange that captures issues found at the University of Houston site with the special version of the ORCA code:

On 4/25/13 5:31 PM, Ilia Baldine wrote:

I put in the fixes to the converter and AM API wrapper for this, but they are not deployed yet. 

r5352 is AM API
r5350 for converter

On Apr 25, 2013, at 4:53 PM, Aaron Helsinger wrote:

Just to be clear (I think you're on top of this):
 - the 'expires' attribute is optional. You can use it if present, but
 if absent you should have a reasonable default
 - it is legal to have a slice that expires in more than 2 weeks; if
 your AM wants to limit slices to something less than that, fine; but the
 request should be accepted, just give you a sliver with a sooner expiration

On 4/25/13 4:43 PM, Ilia Baldine wrote:

I forgot that UH is running an updated version of the code that does look at slice expiration date. Let me think about this and we should be able to fix it.

FIU and other racks still run the older version, that's why we saw this difference. 

On 04/25/2013 02:05 PM, Ilia Baldine wrote:

Best I see is that it expects 'expires' attribute but i is probably not set? 
I don't have an explanation for why it works from other racks.

On Apr 25, 2013, at 4:16 PM, Tim Upthegrove wrote:

This was indeed the issue that was causing the null pointer exception to
be thrown by the converter service.  I added the expires attribute, and
then I saw the following:

 Failed CreateSliver for slice tupty1755 at
 https://uh-hn.exogeni.net:11443/orca/xmlrpc.  Error from Aggregate: code
 2: ERROR: Unable to create reservation due to: Slice terms are limited
 to two weeks.

The value of the expires field was within two weeks, but my GENI slice
is not set to expire until 7/15.  I tried creating a new GENI slice that
expires today, and then I ran CreateSliver again with the expires field
defined (to a value within two weeks), and that worked just fine.

So there are two things here:
 1) The expires attribute of the rspec element is required for the UH
   rack (due to the converter), but it shouldn't be.
 2) Regardless of the value for the expires attribute, if your GENI
   slice expires at a date more than two weeks in the future, the AM
   refuses the request.

Please let me know if you want any more info, and thanks to Aaron for
helping walk me through some of this debugging.

Change History (1)

comment:1 Changed 6 years ago by lnevers@bbn.com

Resolution: fixed
Status: newclosed

Verified that University of Houston site is now running the same version as the other ExoGENI racks:

BBN SM:    'orca_version': 'ORCA Dungeness: v.4.0-SNAPSHOT.build-5495'}
Exo SM:    'orca_version': 'ORCA Dungeness: v.4.0-SNAPSHOT.build-5495'}
FIU SM:    'orca_version': 'ORCA Dungeness: v.4.0-SNAPSHOT.build-5495'}
RENCI SM:  'orca_version': 'ORCA Dungeness: v.4.0-SNAPSHOT.build-5495'}

Verified that aggregate no longer requires expires tag. Able to renew slivers at the aggregate. This issue is resolved. Closing ticket.

Note: See TracTickets for help on using tickets.